Subject: UDP port and OUI

From: Choon Lee <[email-masked]>
Date: Thu, 11 Apr 1996 14:00:52 -0700

At AIW 10, there had been some discussions on new UDP port(s) to be
used for multicast/unicast packets, and the OUI to be used for the new
SSP header.
After doing some investigations, I have the following suggestions:

(a) UDP port number for DLSW multicast/unicast
    In RFC1700 (Assigned Numbers), under the section of well known port numbers,
    2065 and 2067 are listed for DLSW read and write ports, for both TCP and UDP.
    As such, there is no reason to get a new UDP port number for the multicast/
    unicast packets. Further, I would suggest using a single port 2065 for UDP
    read/write.

(b) OUI
    The purpose of the OUI, as I understand it, is to allow for vendor specific
    stuffs to follow. If the OUI equals to a "AIW OUI", then what follows will
    be AIW-sanctioned format. I believe that OUI of 0x000000 has been suggested
    at the meeting, and I don't know what the conclusion was. Was the concern
    that OUI of 0 could be used by someone else? Although RFC1700 did not 
    specifically states that OUI of 0 is reserved, I can't imagine any vendor
    claiming that OUI, it would break all the implementations using SNAP header.

    The assignment of OUI is governed by the IEEE, and the procedure to get
    a new OUI is to pay $1000 (and fill in two forms). Unless there is other 
    reason for acquiring an OUI for AIW, I suggest using OUI of 0 and spending
    the money somewhere else (AIW jacket, anyone? :-).

Regards,
Choon Lee
[email-masked]